Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: gimp GEGL error  (Read 621 times)

Offline finotti

  • User
  • Posts: 197
gimp GEGL error
« on: 2021/03/17, 17:29:56 »
Today when trying to open gimp I had the following error:

"GEGL operation missing!


GIMP requires the GEGL operation "gegl:introspect".
This operation cannot be found. Check your
GEGL install and ensure it has been compiled
with any dependencies required for GIMP."

(It would not start.)  This must be somewhat recent, since I am sure I used gimp a few weeks back.

Googling around I found that installing "graphiviz" fixed the problem.  It seems to be working so far.  (Shouldn't it then be a dependency?)

Code: [Select]
# apt policy gimp
gimp:
  Installed: 2.10.22-2
  Candidate: 2.10.22-2
  Version table:
 *** 2.10.22-2 500
        500 http://httpredir.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status

Code: [Select]
# apt install graphviz
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following additional packages will be installed:
  libann0 libcdt5 libcgraph6 libgts-0.7-5 libgvc6 libgvpr2 liblab-gamut1 libpathplan4
Suggested packages:
  graphviz-doc
Recommended packages:
  libgts-bin
The following NEW packages will be installed:
  graphviz libann0 libcdt5 libcgraph6 libgts-0.7-5 libgvc6 libgvpr2 liblab-gamut1 libpathplan4
0 upgraded, 9 newly installed, 0 to remove and 0 not upgraded.
Need to get 2,156 kB of archives.
After this operation, 9,174 kB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://httpredir.debian.org/debian sid/main amd64 libann0 amd64 1.1.2+doc-7 [25.3 kB]
Get:2 http://httpredir.debian.org/debian sid/main amd64 libcdt5 amd64 2.42.2-4+b2 [62.4 kB]
Get:3 http://httpredir.debian.org/debian sid/main amd64 libcgraph6 amd64 2.42.2-4+b2 [85.8 kB]
Get:4 http://httpredir.debian.org/debian sid/main amd64 libgts-0.7-5 amd64 0.7.6+darcs121130-4+b1 [158 kB]
Get:5 http://httpredir.debian.org/debian sid/main amd64 libpathplan4 amd64 2.42.2-4+b2 [64.5 kB]
Get:6 http://httpredir.debian.org/debian sid/main amd64 libgvc6 amd64 2.42.2-4+b2 [695 kB]
Get:7 http://httpredir.debian.org/debian sid/main amd64 libgvpr2 amd64 2.42.2-4+b2 [212 kB]
Get:8 http://httpredir.debian.org/debian sid/main amd64 liblab-gamut1 amd64 2.42.2-4+b2 [221 kB]
Get:9 http://httpredir.debian.org/debian sid/main amd64 graphviz amd64 2.42.2-4+b2 [632 kB][snip]

Offline sedonix

  • User
  • Posts: 34
Re: gimp GEGL error
« Reply #1 on: 2021/03/17, 20:43:13 »
I use gimp every day and it wouldn't come up on any of my systems a few days ago. Checked debian bugs and it was already reported with a fix.
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=985317

Offline finotti

  • User
  • Posts: 197
Re: gimp GEGL error
« Reply #2 on: 2021/03/17, 21:34:24 »
Thanks for pointing it out!  Googled failed me (as I did try to find this).  Maybe I should have gone straight to bugs.debian.org.



Offline Camelot

  • User
  • Posts: 54
Re: gimp GEGL error
« Reply #3 on: 2021/03/19, 16:50:08 »
Installing graphviz solves the problem.

Edit: Changelog 2.10.22-3
Quote
* debian/control.in: Add graphviz to the dependencies.
    Some optional functionality of libgegl used in gimp now requires the dot
    executable shipped in the graphviz package (Closes: #985317)
https://metadata.ftp-master.debian.org/changelogs/main/g/gimp/gimp_2.10.22-3_changelog
« Last Edit: 2021/03/21, 09:43:22 by Camelot »